#ifndef DRAWINGSTATE_H
#define DRAWINGSTATE_H
// $Header: p:\\graphics\\CVS/src/GraphicsTown/DrawingState.H,v 1.6 2000/11/26 19:28:50 gleicher Exp $
// GraphicsTown - CS559-2000, sample solution
//

// "Drawing State" - a structure that tells objects how to draw
// themselves. 
// Objects need lots of info, since they are responsible for a lot
// about drawing themselves. The drawing state gives them as much info
// as possible so they can do things like cull themselves, do fake
// lighting if they want to, ...
class GrObject;

#include "DrawUtils.H"

// the drawing state class itself
class DrawingState {
public:
  DrawingState();				// make a new one
  DrawingState(DrawingState&);	// copy an old one

  // time of day - military time (0 = midnight, 12=noon)
  int timeOfDay;

  // some state
  // draw sky/ground sets these based on time of day
  Color sky;
  Color ground;

  // which object is the camera?
  GrObject* camera;

  float fieldOfView;

  bool backCull;
  bool drGrTex;		// draw ground textures
};

#endif
